/************************************************************************\
*                                                                        *
* HTML CGI Library - Environment Macro                                   *
* (c) Copyright Heng Yuan 1996                                           *
* All Rights Reserved.                                                   *
*                                                                        *
* Do NOT distribute this program in any modified format.                 *
*                                                                        *
* Description:                                                           *
*      A Form Handling CGI script for Unix                               *
*                                                                        *
\************************************************************************/

#include "html_env.h"

/* Environ */

char auth_type[] = "AUTH_TYPE";

char content_length[] = "CONTENT_LENGTH";
char content_type[] = "CONTENT_TYPE";

char date_gmt[] = "DATE_GMT";
char date_local[] = "DATE_LOCAL";

char document_name[] = "DOCUMENT_NAME";
char document_uri[] = "DOCUMENT_URI";

char gateway_interface[] = "GATEWAY_INTERFACE";

char http_accept[] = "HTTP_ACCEPT";
char http_pragma[] = "HTTP_PRAGMA";
char http_referer[] = "HTTP_REFERER";
char http_user_agent[] = "HTTP_USER_AGENT";

char last_modified[] = "LAST_MODIFIED";

char mailcheck[] = "MAILCHECK";

char dup_optind[] = "OPTIND";

char path[] = "PATH";
char path_translated[] = "PATH_TRANSLATED";

char query_string[] = "QUERY_STRING";

char remote_addr[] = "REMOTE_ADDR";
char remote_host[] = "REMOTE_HOST";
char remote_user[] = "REMOTE_USER";
char remote_ident[] = "REMOTE_IDENT";

char request_method[] = "REQUEST_METHOD";

char script_name[] = "SCRIPT_NAME";

char server_name[] = "SERVER_NAME";
char server_port[] = "SERVER_PORT";
char server_protocol[] = "SERVER_PROTOCOL";
char server_software[] = "SERVER_SOFTWARE";

/* Content-type */
char *content_types[] =
  {
    "text/plain",
    "text/html",
    "image/gif",
    "image/jpeg",
    "image/xbm",
    "image/xpm",
  };
