/* Originally develeoped/debugged by                                         */
/* Bob Blair      PATROL Development      BMC Software, Austin               */
/*                bblair@bmc.com (only send thanks, no complaints please)    */
/* Distributed and updated as necessary by  (derived from popen.c, not sent) */
/* Brian Carr     brian_carr@usa.net (comments and suggestions welcome)      */

int postore(FILE *f, int pid);
int pounstore(FILE *f);
void restore (int org_handle, int org_private, int handle);
FILE * backout( unsigned long *ph, int org_handle, int org_private, int handle);
FILE * popen (const char *command, const char *mode);
int pclose(FILE *f);

typedef struct _popids {
        struct _popids *  next;                 /* Pointer to next structure */
        FILE *  f;                              /* File handle               */
        int     pid;                            /* Place for the PID passed  */
} popids;
