/************************************************************************\
*                                                                        *
* CookMail system string functions declaration                           *
* (c) Copyright Heng Yuan 1996                                           *
*                                                                        *
\************************************************************************/

#ifndef __STRING_H__
#define __STRING_H__

char *strdup (const char *s1);
char *strncpy (char *dst, const char *src, size_t n);

size_t strlen (const char *s);
char *strstr (const char *s1, const char *s2);
char *strchr(const char *s, int c);

int strcmp (const char *s1, const char *s2);
#ifndef DOS
  int strcasecmp (const char *s1, const char *s2);
#else
  int strcmpi (const char *s1, const char *s2);
  #define strcasecmp strcmpi
#endif

size_t strcspn (const char *s1, const char *s2);
size_t strspn (const char *s1, const char *s2);

#endif /* __STRING_H__ */
